<?php
/*
* Robert Mesaros, rmSOFT
* https://rmsoft.sk
*/

/*
* Load the Parent theme style.css file
*/
function rmsoft_child_theme_enqueue_styles() {
    $parenthandle = 'divi-style';
    $theme = wp_get_theme();

    wp_enqueue_style( $parenthandle, get_template_directory_uri() . '/style.css',
        array(),  // if the parent theme code has a dependency, copy it to here
        $theme->parent()->get('Version')
    );

    wp_enqueue_style( 'child-style', get_stylesheet_uri(),
        array( $parenthandle ),
        $theme->get('Version')
    );
}
add_action( 'wp_enqueue_scripts', 'rmsoft_child_theme_enqueue_styles' );

/*
* Load the translations from the child theme folder
*/
function rmsoft_translation() {
    load_child_theme_textdomain( 'Divi', get_stylesheet_directory() . '/translation/divi/lang/' );
    load_child_theme_textdomain( 'et_builder', get_stylesheet_directory() . '/translation/divi/includes/builder/languages/' );
}
add_action( 'after_setup_theme', 'rmsoft_translation' );
